Subject: Re: offering a patch- was [Setup feature query/suggestion!]
From: "C" <[email-masked]>
To: "Robert Collins" <[email-masked]>, "Peter Buckley" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 5 Oct 2001 13:24:55 +0100

Whilst on the subject...if any changes were to be made to setup.exe.
remembering the user specified package directory would be good also between
updates........
C

----- Original Message -----
From: "Robert Collins" <[email-masked]>
To: "Peter Buckley" <[email-masked]>; "C" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, October 05, 2001 11:35 AM
Subject: Re: offering a patch- was [Setup feature query/suggestion!]

> ----- Original Message -----
> From: "Peter Buckley" <[email-masked]>
> > Rest of the list-
> >
> > Is this something that would be appropriate for
> > setup.exe to do, or should it be a separate package?
>
> Thats really up to whoever puts the effort in.
>
> > Should it be a gui, or a command line thing?
>
> Why force a choice? do both.
>
> > I'm sure
> > I could write a bash script or makefile to do this.
> > Are there those on the list who would help me out by
> > providing suggestions on the logic that I should use?
> >
> > I can envision a command like-
> >
> > apt-get clean /cygdrive/c/cygwin
> >
> > And the script would look in /cygdrive/c/cygwin
> > for a "latest" and "contrib" directory, and then
> > go through each package and rm the old ones. But
> > rather than compare modification times or version
> > numbers in the filenames, is there a sure way to
> > make sure we are only removing the packages that are
> > older than what is installed- maybe parsing through
> > cygcheck output?
>
> If I can offer a couple of observations:
> 1) There is currently no persistent storage of the install archive
> directory. A patch to cygwin to make /var/cache/setup (for example) a
> symlink to the location the package cache is in would achieve this in a
> simple fashion.
> 2) The logic to parse /etc/setup.db is already present in setup.exe. So
> it would be easier IMO to build a couple of options - say
> "remove all files not listed in the current setup.ini" and
> "remove all files that have a more recent version installed" - via
> setup.exe than
> to reinvent that logic (and keep it updated as setup.exe changes).
>
> Rob
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/